# Class HtsjdkPluginException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.beta.exception.HtsjdkException
htsjdk.beta.exception.HtsjdkPluginException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `HtsjdkUnsupportedOperationException`

public class HtsjdkPluginException extends HtsjdkException
Base class for unexpected conditions caused by codec plugins.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HtsjdkPluginException(String message)`
Construct an HtsjdkPluginException.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HtsjdkPluginException

public HtsjdkPluginException(String message)
Construct an HtsjdkPluginException.

Parameters:
  `message` - detailed message.